*** app_meetme.c-1.4.27.1	2009-12-03 18:28:32.000000000 -0500
--- app_meetme.c	2009-12-04 11:30:59.000000000 -0500
***************
*** 167,172 ****
--- 167,174 ----
  	CONFFLAG_SLA_TRUNK = (1 << 27),
  	/*! Do not write any audio to this channel until the state is up. */
  	CONFFLAG_NO_AUDIO_UNTIL_UP = (1 << 28),
+ 	/*! Set the channels' account code to the conference room */
+ 	CONFFLAG_CDR_ACCNT = (1 << 29),
  };
  
  enum {
***************
*** 200,205 ****
--- 202,208 ----
  	AST_APP_OPTION_ARG('w', CONFFLAG_WAITMARKED, OPT_ARG_WAITMARKED ),
  	AST_APP_OPTION('X', CONFFLAG_EXIT_CONTEXT ),
  	AST_APP_OPTION('x', CONFFLAG_MARKEDEXIT ),
+ 	AST_APP_OPTION('y', CONFFLAG_CDR_ACCNT ),
  	AST_APP_OPTION('1', CONFFLAG_NOONLYPERSON ),
  END_OPTIONS );
  
***************
*** 261,266 ****
--- 264,270 ----
  "      'X' -- allow user to exit the conference by entering a valid single\n"
  "             digit extension ${MEETME_EXIT_CONTEXT} or the current context\n"
  "             if that variable is not defined.\n"
+ "      'y' -- Set the channels' account code to the conference room number\n"
  "      '1' -- do not play message when first person enters\n";
  
  static const char *descrip2 =
***************
*** 1534,1539 ****
--- 1538,1549 ----
  
  	if (!(user = ast_calloc(1, sizeof(*user))))
  		return ret;
+ 	
+ 	/* Set the channels' account code to conference room */
+ 	if (confflags & CONFFLAG_CDR_ACCNT) {
+ 		ast_log(LOG_DEBUG, "Setting the channels' account code to conference room.\n");
+ 		ast_cdr_setaccount(chan, conf->confno);
+ 	}
  
  	/* Possible timeout waiting for marked user */
  	if ((confflags & CONFFLAG_WAITMARKED) &&
